%global perl_package_name Archive-Tar
Name:		perl-Archive-Tar
Version:	2.30
Release:	421
Summary:	A module for manipulations of tar archives
License:	GPL+ or Artistic
URL:		https://metacpan.org/pod/release/BINGOS/Archive-Tar-2.30/lib/Archive/Tar.pm
Source0:	https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{perl_package_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	gcc git make
BuildRequires:	perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76 perl(Config)
BuildRequires:  perl(Getopt::Std) perl(strict)
BuildRequires:  perl(Carp) perl(constant) perl(Cwd) perl(Data::Dumper) perl(Exporter) perl(File::Basename)
BuildRequires:  perl(File::Find) perl(File::Path) perl(File::Spec) >= 0.82 perl(File::Spec::Unix)
BuildRequires:  perl(Getopt::Long) perl(IO::File) perl(IO::Handle) perl(IO::Zlib) >= 1.01
BuildRequires:  perl(Pod::Usage) perl(vars) perl(warnings) perl(IO::Compress::Bzip2) >= 2.015
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.015 perl(Text::Diff)
BuildRequires:  perl(File::Copy) perl(File::Temp) perl(FindBin) perl(lib) perl(Test::Harness) >= 2.26 perl(Test::More)

Requires:	perl(IO::Compress::Bzip2) >= 2.015
Requires:	perl(:MODULE_COMPAT_%(perl -V:version | tr -d "[a-z=';]"))
Requires:	perl(IO::Zlib) >= 1.01
Requires:	perl(IO::Uncompress::Bunzip2) >= 2.015
Requires:	perl(Text::Diff)

%description
archive::Tar provides an object oriented mechanism for handling tar
files. It provides class methods for quick and easy files handling
while also allowing for the creation of tar file objects for custom
manipulation. If you have the IO::Zlib module installed, Archive::Tar
will also support compressed or gzipped tar files.

%package help
Summary:        help document
Requires:       perl-%{perl_package_name} = %{version}-%{release}
BuildArch:      noarch
%description help
This package provides help document for perl-Archive-Tar.

%prep
%autosetup -n %{perl_package_name}-%{version} -S git

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1 UNINST=0
%make_build

%install
make install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/Archive/
%{_bindir}/*

%files help
%doc README CHANGES
%{_mandir}/man{1/*,3/*}

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.30-421 
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: remove unnecessary files

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 2.30-420
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:enable test

* Wed Aug 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.30-419
- Package Init
